import express from 'express';

// Route imports
import skuRoute from './:id.js';
import skuRouteDash from './itemInfo.js'
import testRoute from './test.js';
import dashboardRoute from './dashboard.js';
import itemsRoute from './items.js';
import manage_routes from './manage/index.js';
import project_routes from './projects/index.js';

// Router base is '/'
const Router = express.Router({ strict: false });

Router.route('/test').get(testRoute.get);
Router.route('/items').get(itemsRoute.get);

Router.use('/projects', project_routes); // has to be before skuRoute
Router.route('/:id(\\w{8})').get(skuRoute.get); // we should probably deprecate this
Router.route('/s/:id').get(skuRouteDash.get);

Router.use('/manage', manage_routes);


Router.route('/').get(dashboardRoute.get);

export default Router;
