import { Request, Response } from 'express';
import { prisma, __path, log } from '../../../index.js';

function get(req: Request, res: Response) {
	// Render the page
	prisma.itemCategory
		.findMany({})
		.then((items) => {
			// Count amount of total items
			// Replace "null" with an empty string
			items.forEach((item) => {
				if (item.description == null || item.description == "null") {
					item.description = '';
				}
			});
			res.render(__path + '/src/frontend/manage/categoryManager.eta.html', { items: items });
		})
		.catch((err) => {
			log.db.error(err);
			res.status(500).render(__path + '/src/frontend/errors/dbError.eta.html', { error: err });
		});
}

export default { get };
